#
# api default actions
#
aa_admin_content_builder_create_root:
  path: /builder/api/create-root/{entitySlug}/{id}/{property}
  controller: AutoAdmin\Bundle\BrickBuilder\Controller\Admin\ContentBuilderController::createRoot

aa_admin_content_builder_data:
  path: /builder/api/data/{rootBrickId}
  controller: AutoAdmin\Bundle\BrickBuilder\Controller\Admin\ContentBuilderController::treeData

# api brick actions
aa_admin_content_builder_create:
  path: /builder/api/brick/create
  controller: AutoAdmin\Bundle\BrickBuilder\Controller\Admin\ContentBuilderController::create

aa_admin_content_builder_update:
  path: /builder/api/brick/{brickId}/update
  controller: AutoAdmin\Bundle\BrickBuilder\Controller\Admin\ContentBuilderController::update

aa_admin_content_builder_sort:
  path: /builder/api/brick/{brickId}/sort
  controller: AutoAdmin\Bundle\BrickBuilder\Controller\Admin\ContentBuilderController::sort

aa_admin_content_builder_delete:
  path: /builder/api/brick/{brickId}/delete
  controller: AutoAdmin\Bundle\BrickBuilder\Controller\Admin\ContentBuilderController::delete

aa_admin_content_builder_duplicate:
  path: /builder/api/brick/{brickId}/duplicate
  controller: AutoAdmin\Bundle\BrickBuilder\Controller\Admin\ContentBuilderController::duplicate

aa_admin_content_builder_layout:
  path: /builder/api/brick/layout
  controller: AutoAdmin\Bundle\BrickBuilder\Controller\Admin\ContentBuilderController::layout

aa_admin_content_builder_create_template:
  path: /builder/api/brick/{brickId}/template
  methods: [ POST ]
  controller: AutoAdmin\Bundle\BrickBuilder\Controller\Admin\ContentBuilderController::createTemplate

aa_admin_content_builder_update_layout:
  path: /builder/api/brick/{brickId}/layout
  methods: [ POST ]
  controller: AutoAdmin\Bundle\BrickBuilder\Controller\Admin\ContentBuilderController::updateLayout

aa_admin_content_builder_template:
  path: /builder/api/brick/template
  methods: [ GET ]
  controller: AutoAdmin\Bundle\BrickBuilder\Controller\Admin\ContentBuilderController::template

# index
aa_admin_content_builder_index:
  path: /builder/{entitySlug}/{id}/{property}
  controller: AutoAdmin\Bundle\BrickBuilder\Controller\Admin\ContentBuilderController::index

aa_admin_content_builder_preview:
  path: /builder/preview/{entitySlug}/{id}/{property}
  controller: AutoAdmin\Bundle\BrickBuilder\Controller\Admin\ContentBuilderController::preview
